%global  base_name systemsettings

Name:    plasma-%{base_name}
Summary: KDE System Settings application
Version: 5.27.11
Release:    2%{?dist}

License: GPLv2+
URL:     https://invent.kde.org/plasma/%{base_name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global majmin_ver %(echo %{version} | cut -d. -f1,2).50
%global stable unstable
%else
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{base_name}-%{version}.tar.xz

BuildRequires: desktop-file-utils

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5ItemViews)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Service)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5XmlGui)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5Package)
BuildRequires: cmake(KF5Declarative)
BuildRequires: cmake(KF5Activities)
BuildRequires: cmake(KF5ActivitiesStats)
BuildRequires: cmake(KF5KHtml)
BuildRequires: cmake(KF5ItemModels)
BuildRequires: cmake(KF5GuiAddons)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5Runner)

BuildRequires: cmake(Qt5Qml)
BuildRequires: cmake(Qt5Quick)
BuildRequires: cmake(Qt5QuickWidgets)
BuildRequires: cmake(Qt5Widgets)

BuildRequires: cmake(KF5Kirigami2)
BuildRequires: kf5-kirigami2-devel >= 2.1
BuildRequires: plasma-workspace-devel >= %{version}
Requires:      libkworkspace5 >= %{majmin_ver}
Requires:      kf5-kirigami2 >= 2.1

Requires:       kde-cli-tools

Conflicts: kde-workspace < 5.0

Provides:  plasma-systemsettings-devel = %{version}-%{release}

%description
%{summary}.


%prep
%autosetup -n %{base_name}-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang systemsettings5 --with-qt --with-html --all-name


%check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f systemsettings5.lang
%license LICENSES/*
%{_bindir}/systemsettings5
%{_bindir}/systemsettings
%{_datadir}/systemsettings/
%{_datadir}/applications/kdesystemsettings.desktop
%{_datadir}/applications/systemsettings.desktop
%{_datadir}/metainfo/org.kde.systemsettings.metainfo.xml
%{_datadir}/zsh/site-functions/_systemsettings
%{_kf5_datadir}/kservicetypes5/*.desktop
%{_kf5_datadir}/kxmlgui5/systemsettings
%{_kf5_datadir}/kglobalaccel/systemsettings.desktop
%dir %{_kf5_datadir}/kpackage/genericqml/
%{_kf5_datadir}/kpackage/genericqml/org.kde.systemsettings.*/
%{_kf5_datadir}/qlogging-categories5/systemsettings.categories
%{_kf5_qtplugindir}/systemsettingsview/icon_mode.so
%{_kf5_qtplugindir}/systemsettingsview/systemsettings_sidebar_mode.so
%{_kf5_qtplugindir}/kf5/krunner/krunner_systemsettings.so
%{_kf5_libdir}/libsystemsettingsview.so.*


%changelog
* Mon Oct 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.11-2
- fix install error

* Tue Sep 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.11-1
- initial build
